<?php

namespace common\modules\product\models;

use Yii;

/**
 * This is the model class for table "brand_name".
 *
 * @property integer $brand_name_id
 * @property integer $brand_id
 * @property string $value
 *
 * @property Brand[] $brands
 * @property Brand $brand
 */
class BrandName extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'brand_name';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['brand_id'], 'integer'],
            [['value'], 'string', 'max' => 250],
//            [['brand_id'], 'exist', 'skipOnError' => true, 'targetClass' => Brand::className(), 'targetAttribute' => ['brand_id' => 'brand_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'brand_name_id' => Yii::t('product', 'Brand Name ID'),
            'brand_id' => Yii::t('product', 'Brand ID'),
            'value' => Yii::t('product', 'Value'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getBrands()
    {
        return $this->hasMany(Brand::className(), ['brand_name_id' => 'brand_name_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getBrand()
    {
        return $this->hasOne(Brand::className(), ['brand_id' => 'brand_id']);
    }
}
